Name:          libextractor
Version:       1.3
Release:       1mamba
Summary:       A library used to extract meta-data from files of arbitrary type
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Aleph0 <aleph0@openmamba.org>
URL:           http://www.gnu.org/software/libextractor/
Source:        http://ftp.gnu.org/gnu/libextractor/libextractor-%{version}.tar.gz
Patch0:        libextractor-1.2-ffmpeg-2.2.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libarchive-devel
BuildRequires: libatk-devel
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libbzip2-devel
BuildRequires: libcairo-devel
BuildRequires: libexiv2-devel
BuildRequires: libflac-devel
BuildRequires: libfontconfig-devel
BuildRequires: libfreetype-devel
BuildRequires: libgcc
BuildRequires: libgdk-pixbuf-devel
BuildRequires: libgif-devel
BuildRequires: libglib-devel
BuildRequires: libgsf-devel
BuildRequires: libgst-plugins-base-devel
BuildRequires: libgstreamer-devel
BuildRequires: libgtk2-devel
BuildRequires: libjpeg-devel
BuildRequires: libltdl-devel
BuildRequires: libmagic-devel
BuildRequires: libmpeg2-devel
BuildRequires: libogg-devel
BuildRequires: libpango-devel
BuildRequires: libsmf-devel
BuildRequires: libstdc++6-devel
BuildRequires: libswscale-ffmpeg-devel
BuildRequires: libtidy-devel
BuildRequires: libtiff-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: libz-devel
BuildRequires: libbzip2-devel
BuildRequires: mpeg2dec-devel
BuildRequires: libvorbis-devel
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: libglib-devel
BuildRequires: libgtk-devel
BuildRequires: libqt-devel
BuildRequires: libgsf-devel
Requires(post): %{__install_info}
Requires(preun): %{__install_info}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
Libextractor is a library used to extract meta-data from files of arbitrary type.
It is designed to use helper-libraries to perform the actual extraction, and to be trivially extendable by linking against external extractors for additional file types.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
Libextractor is a library used to extract meta-data from files of arbitrary type.
It is designed to use helper-libraries to perform the actual extraction, and to be trivially extendable by linking against external extractors for additional file types.

This package contains static libraries and header files need for development.

%prep
%setup -q
#%patch0 -p1

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post
/sbin/ldconfig
%install_info %{name}.info
exit 0

%preun
%uninstall_info %{name}.info
exit 0

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/extract
%{_libdir}/libextractor.so.*
%{_libdir}/libextractor_common.so.*
%dir %{_libdir}/libextractor
%{_libdir}/libextractor/libextractor_*.a
%{_libdir}/libextractor/libextractor_*.la
%{_libdir}/libextractor/libextractor_*.so
%{_infodir}/%{name}.info.*
%{_mandir}/man1/extract.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%{_includedir}/*.h
%{_libdir}/libextractor.a
%{_libdir}/libextractor.la
%{_libdir}/libextractor.so
%{_libdir}/libextractor_common.a
%{_libdir}/libextractor_common.la
%{_libdir}/libextractor_common.so
%{_libdir}/pkgconfig/libextractor.pc
%{_mandir}/man3/libextractor.*
%doc ChangeLog NEWS README TODO

%changelog
* Thu Oct 30 2014 Automatic Build System <autodist@mambasoft.it> 1.3-1mamba
- automatic update by autodist

* Thu May 15 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-2mamba
- ffmpeg 2.2 rebuild

* Fri Oct 25 2013 Automatic Build System <autodist@mambasoft.it> 1.2-1mamba
- automatic update by autodist

* Thu Jul 04 2013 Automatic Build System <autodist@mambasoft.it> 1.1-1mamba
- automatic version update by autodist

* Sat Jan 26 2013 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- update to 1.0.1

* Mon Jul 16 2007 Aleph0 <aleph0@openmamba.org> 0.5.18-1mamba
- package created by autospec
